package com.friday.tooldriver.mapper.taieoc;

import com.friday.operation.api.keepalive.dto.smartrpa.OcProcessCommitFilterDto;
import com.friday.tooldriver.po.taieoc.OcProcessCommitPo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface OcProcessCommitMapper {
    void insert(OcProcessCommitPo po);
    OcProcessCommitPo selectMaxVersion(OcProcessCommitFilterDto dto);
    List<OcProcessCommitPo> selectByParam(OcProcessCommitFilterDto dto);
    void update(OcProcessCommitPo po);

    void deleteByProcessInfo(@Param("processName") String processName, @Param("ocTenantId") Long ocTenantId, @Param("version") String version);
    OcProcessCommitPo selectByPrimaryKey(Long id);

}
